## vte2.91 0.59.91

=== meson_options.txt ===
# Copyright © 2018, 2019 Iñigo Martínez
#
# This library is free software; you can redistribute it and/or modify it
# under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your
# option) any later version.
#
# This library is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library.  If not, see <https://www.gnu.org/licenses/>.

# This option allows you to disable -Bsymbolic-functions if your linker
# doesn't support it.
option(
  '_b_symbolic_functions',
  type: 'boolean',
  value: true,
  description: 'Use -Bsymbolic-functions',
)

option(
  'a11y',
  type: 'boolean',
  value: true,
  description: 'Enable a11y',
)

option(
  'debugg', # for some reason, 'debug' is "reserved"
  type: 'boolean',
  value: false,
  description: 'Enable extra debugging functionality',
)

option(
  'docs',
  type: 'boolean',
  value: false,
  description: 'Enable documentation',
)

option(
  'gir',
  type: 'boolean',
  value: true,
  description: 'Enable GObject Introspection',
)

option(
  'fribidi',
  type: 'boolean',
  value: true,
  description: 'Enable FriBidi support',
)

option(
  'gnutls',
  type: 'boolean',
  value: true,
  description: 'Enable GNUTLS support',
)

option(
  'gtk3',
  type: 'boolean',
  value: true,
  description: 'Enable GTK+ 3.0 widget',
)

option(
  'gtk4',
  type: 'boolean',
  value: false,
  description: 'Enable GTK+ 4.0 widget',
)

option(
  'icu',
  type: 'boolean',
  value: true,
  description: 'Enable legacy charset support using ICU',
)

option(
  'vapi', # would use 'vala' but that name is reserved
  type: 'boolean',
  value: true,
  description: 'Enable Vala bindings',
)

## vte2.91 0.38.1

=== debian/changelog ===
vte2.91 (0.38.1-2) unstable; urgency=medium

  * Bug fixes from upstream git:
    + 10_check_cursor_display.patch: check the cursor’s display before 
      using it.
    + 11_cjk_ambiguous_width.patch: copy-paste bug in properties.
    + 12_zombies.patch, 13_zombies.patch: don’t leave zombie processes 
      around. Closes: #770596.

 -- Josselin Mouette <joss@debian.org>  Fri, 05 Dec 2014 14:49:32 +0100

vte2.91 (0.38.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Homepage field.
  * Bump Standards-Version to 3.9.6. No further changes.
  * Update debian/copyright and make it compliant to the final spec.

 -- Michael Biebl <biebl@debian.org>  Tue, 14 Oct 2014 20:38:29 +0200

vte2.91 (0.38.0-1) unstable; urgency=medium

  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 24 Sep 2014 21:57:18 +0200

vte2.91 (0.37.90-1) experimental; urgency=medium

  * New upstream release
  * Rename source package from vte3 to vte2.91 (Matching the api version)
  * debian/patches/01_scroll_notebook.patch
    + Refreshed
  * debian/patches/25_optional-ncurses.patch
    + Removed. ncurses is no longer used
  * debian/patches/fix-out-of-tree-build.patch
    + Added. Fix out of tree build
  * Make libvte-2.91-dev conflict with libvte-2.90-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 06 Sep 2014 13:06:27 +0200

vte3 (1:0.36.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/02_emulation-fix-keypad-home-end.patch
    - now shipped in upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 23 Jun 2014 20:18:25 +0200

vte3 (1:0.36.2-1) unstable; urgency=medium

  * Drop obsolete 04_workaround_resources_compiler_path.patch
    - problem fixed in glib/gio for years already.
    - See https://bugzilla.gnome.org/show_bug.cgi?id=672541#c3
  * New upstream release.
  * Add debian/patches/02_emulation-fix-keypad-home-end.patch
    - cherry-picked from upstream by advice from Egmont Koblinger

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 15 May 2014 21:39:16 +0200

vte3 (1:0.36.1-1) unstable; urgency=medium

  * Drop obsolete 60_termcap-home-end.patch (Closes: #747347)
    - Thanks Egmont Koblinger!
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 07 May 2014 22:06:44 +0200

vte3 (1:0.36.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Apr 2014 16:36:22 +0200

vte3 (1:0.36.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libvte-2.90-9.symbols with added symbols.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Mar 2014 20:32:44 +0100

vte3 (1:0.35.2-1) experimental; urgency=medium

  * New upstream release.
  * Make debian/patches/01_scroll_notebook.patch apply again.
  * Drop debian/patches/03_scroll_region_updates.patch, applied upstream.
  * Have quilt refresh the following patches:
    - debian/patches/04_workaround_resources_compiler_path.patch
    - debian/patches/25_optional-ncurses.patch
    - debian/patches/60_termcap-home-end.patch
  * Add two new symbols to debian/libvte-2.90-9.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Feb 2014 20:28:46 +0100

vte3 (1:0.34.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * debian/libvte-2.90-9.symbols: Add new symbol.

 -- Michael Biebl <biebl@debian.org>  Wed, 23 Oct 2013 14:58:28 +0200

vte3 (1:0.34.8-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/README.Debian: Document how to make new tabs opened within
    Gnome Terminal have the same same working directory as the
    current tab (see #706065).

  [ Michael Biebl ]
  * Use the official field for udebs: Package-Type.
  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Sep 2013 01:12:08 +0200

vte3 (1:0.34.6-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Tue, 11 Jun 2013 01:10:56 +0200

vte3 (1:0.34.5-2) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 05 Jun 2013 10:54:01 +0200

vte3 (1:0.34.5-1) experimental; urgency=low

  * New upstream release
    - Improvements to vte.sh script; now compatible with both bash and zsh

 -- Iain Lane <laney@debian.org>  Fri, 24 May 2013 10:30:33 +0100

vte3 (1:0.34.3-1) experimental; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 12 Apr 2013 23:19:42 +0200

vte3 (1:0.34.2-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
  * debian/libvte-2.90-9.symbols: added two new symbols.
  * Install new file /etc/profile.d/vte.sh in libvte-2.90-common package.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 30 Mar 2013 17:09:16 +0100

vte3 (1:0.32.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes broken Alt/Meta/Mod1 handling. Closes: #648975
  * Refresh patches.
  * Remove debian/patches/02_meta.patch, fixed upstream in a different way.

 -- Michael Biebl <biebl@debian.org>  Fri, 01 Jun 2012 23:35:47 +0200

vte3 (1:0.32.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2012 03:59:15 +0200

vte3 (1:0.32.0-2) unstable; urgency=low

  * Install a copy of the old termcap file so currently running terminal
    instances which have the old version of the library loaded, aren't broken
    by the upgrade. This workaround is only temporary. Closes: #665771
  * debian/watch: Track stable releases.
  * Bump Standards-Version to 3.9.3.
  * Update debian/copyright using the machine-readable copyright format 1.0.
  * Drop Build-Depends on gir1.2-gtk-3.0, pulled by libgtk-3-dev.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 09:05:03 +0200

vte3 (1:0.32.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in: Bump glib build dependency as per configure.ac.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: vte2.91
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Standards-Version: 3.9.6
Build-Depends: cdbs (>= 0.4.90),
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.10),
               dh-autoreconf,
               libglib2.0-dev (>= 2.31.13),
               libcairo2-dev,
               libx11-dev,
               libxml2-utils,
               libgtk-3-dev (>= 3.1.9),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               gettext,
               gtk-doc-tools,
               libpango1.0-dev (>= 1.22.0),
               libgladeui-dev,
               intltool (>= 0.35),
               valac
Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/vte2.91
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/vte2.91
Homepage: https://wiki.gnome.org/Apps/Terminal/VTE

Package: libvte-2.91-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libvte-2.91-common (= ${source:Version})
Description: Terminal emulator widget for GTK+ 3.0 - runtime files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the runtime library, needed by programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-0-udeb
Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - minimal runtime
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains the minimal runtime library for GTK+ 3.0 needed
 by the Debian installer.

Package: gir1.2-vte-2.91
Architecture: any
Section: introspection
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the VTE library
 This package contains introspection data for VTE, a terminal emulator
 widget for GTK+.
 .
 It can be used by interpreters understanding the GIRepository format to
 write programs using the VTE widget for GTK+ 3.0.

Package: libvte-2.91-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libvte-2.91-0 (= ${binary:Version}),
         gir1.2-vte-2.91 (= ${binary:Version}),
         libcairo2-dev,
         libx11-dev,
         libgtk-3-dev (>= 3.0.0),
         libpango1.0-dev (>= 1.22.0),
         libglib2.0-dev (>= 2.22.0),
         libvte-2.91-common
Recommends: libvte-2.91-doc
Conflicts: libvte-2.90-dev
Description: Terminal emulator widget for GTK+ 3.0 - development files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains development files for the VTE library and its
 Python bindings. It is needed to develop and build programs using the
 VTE widget with GTK+ 3.0.

Package: libvte-2.91-common
Architecture: all
Depends: ${misc:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - common files
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains internationalization files for the VTE library
 and common files for the GTK+ 3.x version.

Package: libvte-2.91-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Terminal emulator widget for GTK+ 3.0 - documentation
 The VTE library provides a terminal emulator widget VteTerminal for
 applications using the GTK+ toolkit. It also provides the VtePTY object
 containing functions for starting a new process on a new
 pseudo-terminal and for manipulating pseudo-terminals.
 .
 This package contains documentation files for the VTE library for GTK+
 3.x.

=== debian/rules ===
#!/usr/bin/make -f

libvte2.91N := $(shell sed -rn 's/^Package:[[:space:]]*(libvte-[0-9\.-]+)[[:space:]]*$$/\1/p' debian/control)
udeb := $(libvte2.91N)-udeb
GNOME_MODULE = vte

DEB_BUILDDIR = debian/build
DEB_MAKE_FLAVORS = main udeb

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_LIBEXECDIR := \$${prefix}/lib/$(libvte2.91N)
DEB_FIXPERMS_EXCLUDE += gnome-pty-helper
DEB_DH_MAKESHLIBS_ARGS_$(libvte2.91N) += --add-udeb=$(udeb) -- -c4

DEB_CONFIGURE_FLAGS_main += \
	--enable-gnome-pty-helper \
	--enable-glade-catalogue \
	--enable-gtk-doc \
	--enable-introspection

DEB_CONFIGURE_FLAGS_udeb += \
	--disable-gnome-pty-helper \
	--disable-gtk-doc

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp
DEB_MAKE_DESTDIRSKEL_udeb = $(CURDIR)/debian/tmp/udeb

DEB_DH_INSTALL_ARGS_$(udeb) += --sourcedir=debian/tmp/udeb

# FIXME: not honoured
#CFLAGS_udeb += $(CFLAGS) -Os
CFLAGS += $(if $(findstring udeb,$(cdbs_make_curflavor)),-Os)

binary-install/libvte-2.91-common::
	mv debian/libvte-2.91-common/etc/profile.d/vte.sh \
		debian/libvte-2.91-common/etc/profile.d/vte-2.91.sh

# List any files which are not installed
common-binary-post-install-arch:: list-missing

## vte2.91 0.38.3

=== debian/changelog ===
vte2.91 (0.38.3-1ubuntu1) vivid; urgency=medium

  * Rebase on Debian, remaining change:
    - debian/patches/91_keep_fds.patch:
      + Keep file descriptors open on vte_fork_pty()

 -- Iain Lane <iain.lane@canonical.com>  Tue, 16 Dec 2014 13:53:49 +0000

vte2.91 (0.38.3-1) experimental; urgency=medium

  * New upstream bugfix release 0.38.3
    + 10_check_cursor_display.patch, 11_cjk_ambiguous_width.patch,
      12_zombies.patch, 13_zombies.patch: Drop, applied upstream.
  * d/p/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch: Add
    patch taken from upstream bug to add the VteTerminal css rule with a lower
    priority than the theme, allowing themes to set their own values for
    properties on the VteTerminal widget.

 -- Iain Lane <laney@debian.org>  Tue, 16 Dec 2014 13:19:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),

## vte2.91 0.40.2

=== debian/changelog ===
vte2.91 (0.40.2-1ubuntu3) wily; urgency=medium

  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 31 Jul 2015 12:51:23 +1200

vte2.91 (0.40.2-1ubuntu2) wily; urgency=medium

  * No-change rebuild to fix broken devhelp2 file

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Jun 2015 11:04:43 +0100

vte2.91 (0.40.2-1ubuntu1) wily; urgency=low

  * Rebase on Debian, remaining change:
    - debian/patches/91_keep_fds.patch:
      + Keep file descriptors open on vte_fork_pty()

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 01 Jun 2015 13:35:49 +0100

vte2.91 (0.40.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update debian/libvte-2.90-9.symbols, add new symbols.
  * Update Build-Depends and Depends of libvte-2.91-dev as per configure.ac.
  * Disable GnuTLS support for udeb build.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 May 2015 22:23:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,21 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                gnome-pkg-tools (>= 0.10),
                dh-autoreconf,
-               libglib2.0-dev (>= 2.31.13),
-               libcairo2-dev,
-               libx11-dev,
+               libglib2.0-dev (>= 2.40.0),
+               libpango1.0-dev (>= 1.22.0),
+               libgtk-3-dev (>= 3.8.0),
+               libgnutls-dev (>= 3.2.0),
                libxml2-utils,
-               libgtk-3-dev (>= 3.1.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
                gettext,
                gtk-doc-tools,
-               libpango1.0-dev (>= 1.22.0),
                libgladeui-dev,
                intltool (>= 0.35),
                valac
@@ -79,11 +78,11 @@
 Depends: ${misc:Depends},
          libvte-2.91-0 (= ${binary:Version}),
          gir1.2-vte-2.91 (= ${binary:Version}),
-         libcairo2-dev,
-         libx11-dev,
-         libgtk-3-dev (>= 3.0.0),
+         libglib2.0-dev (>= 2.40.0),
          libpango1.0-dev (>= 1.22.0),
-         libglib2.0-dev (>= 2.22.0),
+         libgtk-3-dev (>= 3.8.0),
+         zlib1g-dev,
+         libgnutls-dev (>= 3.2.0),
          libvte-2.91-common
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev

=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,13 @@
 	--enable-gnome-pty-helper \
 	--enable-glade-catalogue \
 	--enable-gtk-doc \
-	--enable-introspection
+	--enable-introspection \
+	--with-gnutls
 
 DEB_CONFIGURE_FLAGS_udeb += \
 	--disable-gnome-pty-helper \
-	--disable-gtk-doc
+	--disable-gtk-doc \
+	--without-gnutls
 
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp
 DEB_MAKE_DESTDIRSKEL_udeb = $(CURDIR)/debian/tmp/udeb

## vte2.91 0.42.5

=== debian/changelog ===
vte2.91 (0.42.5-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable.  Remaining changes (LP: 1557947)
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

 -- Tim Lunn <tim@feathertop.org>  Wed, 16 Mar 2016 21:14:07 +1100

vte2.91 (0.42.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 15 Mar 2016 17:36:22 +0100

vte2.91 (0.42.4-1ubuntu2) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:41:54 +0000

vte2.91 (0.42.4-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 12 Feb 2016 18:20:17 +1100

vte2.91 (0.42.4-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Feb 2016 20:25:23 +0100

vte2.91 (0.42.3-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 03 Feb 2016 10:56:48 +0100

vte2.91 (0.42.1-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable (LP: #1508636).  Remaining changes:
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 20 Dec 2015 07:10:18 +1100

vte2.91 (0.42.1-2) unstable; urgency=medium

  * Bump debhelper version to 9
  * Add multi-arch support (LP: #1508636)
  * Remove remaining bits related to gnome-pty-helper
  * Pass --as-needed to dh_autoreconf and to the linker to reduce runtime
    dependencies

 -- Laurent Bigonville <bigon@debian.org>  Fri, 13 Nov 2015 15:26:04 +0100

vte2.91 (0.42.1-1ubuntu2) xenial; urgency=medium

  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    Replace with new version that does not cause gnome-terminal to
    miscalculate the terminal size at startup.  (LP: #1528728)

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 22 Dec 2015 16:30:43 -0800

vte2.91 (0.42.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian, remaining Ubuntu changes:
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 27 Oct 2015 16:47:07 +1300

vte2.91 (0.42.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Oct 2015 17:18:58 +0200

vte2.91 (0.42.0-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - bump libgnutls28-dev to >= 3.2.7
  * Update debian/patches/*.patch to apply cleanly.
  * Stop shipping gnome-pty-helper in libvte-2.91-0
    - no longer shipped by upstream (see bgo#747046).
      (this means no utmp/wtmp updating anymore.)
  * Update debian/libvte-2.91-0.symbols with one removal
    - The magic vte_get_resource symbol has no users according
      to codesearch.debian.net and noone will likely notice it's
      missing.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 15:54:47 +0200

vte2.91 (0.40.2-2) unstable; urgency=medium

  * Drop 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch as it
    causes a regression and makes gnome-terminal use a smaller size then
    configured. Thanks Ian Abbott for tracking this down. Closes: #787104

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Jul 2015 21:12:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Iain Lane <laney@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: cdbs (>= 0.4.90),
-               debhelper (>= 8),
+Build-Depends: cdbs (>= 0.4.93~),
+               debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),
                dh-autoreconf,
                libglib2.0-dev (>= 2.40.0),
                libpango1.0-dev (>= 1.22.0),
                libgtk-3-dev (>= 3.8.0),
-               libgnutls-dev (>= 3.2.0),
+               libgnutls-dev (>= 3.2.7),
                libxml2-utils,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
@@ -27,7 +27,7 @@
                valac
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/vte2.91
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/vte2.91
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/vte2.91
 Homepage: https://wiki.gnome.org/Apps/Terminal/VTE
 
 Package: libvte-2.91-0
@@ -35,6 +35,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libvte-2.91-common (= ${source:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - runtime files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -65,6 +67,7 @@
 Section: introspection
 Depends: ${gir:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: GObject introspection data for the VTE library
  This package contains introspection data for VTE, a terminal emulator
  widget for GTK+.
@@ -82,10 +85,11 @@
          libpango1.0-dev (>= 1.22.0),
          libgtk-3-dev (>= 3.8.0),
          zlib1g-dev,
-         libgnutls-dev (>= 3.2.0),
+         libgnutls-dev (>= 3.2.7),
          libvte-2.91-common
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev
+Multi-Arch: same
 Description: Terminal emulator widget for GTK+ 3.0 - development files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK+ toolkit. It also provides the VtePTY object
@@ -99,6 +103,7 @@
 Package: libvte-2.91-common
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Terminal emulator widget for GTK+ 3.0 - common files
  The VTE library provides a terminal emulator widget VteTerminal for
  applications using the GTK+ toolkit. It also provides the VtePTY object

## vte2.91 0.44.2

=== debian/changelog ===
vte2.91 (0.44.2-1ubuntu3) yakkety; urgency=medium

  * Add fix-reverse-search.patch:
    - Backport commit from 0.44 branch to fix regression in 0.44.0 that broke
      reverse search (LP: #1627007)

 -- Vlad Orlov <monsta@inbox.ru>  Fri, 23 Sep 2016 14:49:51 +0300

vte2.91 (0.44.2-1ubuntu2) yakkety; urgency=medium

  * debian/control{,.in}: Remove libpcre2-dev BDs and Ds; this has been
    disabled unconditionally upstream, and those packages are in universe.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 02 Aug 2016 21:38:04 +0100

vte2.91 (0.44.2-1ubuntu1) yakkety; urgency=medium

  [ Rico Tzschichholz ]
  * Merge from Debian unstable.  Remaining changes (LP: 1557947)
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

  [ Tim Lunn ]
  * debian/patches: Refresh both patches

  [ Iain Lane ]
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    Add the new CSS name too.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 02 Aug 2016 17:35:29 +0100

vte2.91 (0.44.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/01_scroll_notebook.patch.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 18:14:57 +0200

vte2.91 (0.44.1-1ubuntu1~xenial1) xenial; urgency=medium

  [ Rico Tzschichholz ]
  * Merge from Debian unstable.  Remaining changes (LP: 1557947)
  * debian/control:
    - Depend on libgnutls-dev instead of obsolete libgnutls28-dev
  * debian/patches/0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch:
    - Keep as it is require for the Ubuntu theming
  * debian/patches/91_keep_fds.patch:
    - Keep file descriptors open on vte_fork_pty()

  [ Tim Lunn ]
  * debian/patches: Refresh both patches

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 Apr 2016 08:56:46 +0200

vte2.91 (0.44.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 3.9.8.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 21:53:56 +0200

vte2.91 (0.44.0-2) experimental; urgency=medium

  * Team upload
  * Force compilation against Gtk 3.20 to fix VteTerminal CSS selector
    resulting in incorrect padding and, indirectly, off-by-one resizing
    (GNOME #763538)

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Apr 2016 09:20:24 +0100

vte2.91 (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - add libpcre2-dev (>= 10.21)
    - bump libgtk-3-dev (>= 3.16)
  * Refresh both patches to apply without fuzz.
  * Fix return statement in debian/patches/01_scroll_notebook.patch
    - the function is (now?) void, so don't try to return FALSE.
  * Add debian/patches/pthread-vs-nostdlib.patch
  * Update debian/libvte-2.91-0.symbols with two additions.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Mar 2016 17:25:27 +0100

vte2.91 (0.42.5-1ubuntu2) yakkety; urgency=medium

  * Build-depend on libgnutls28-dev, not libgnutls-dev, which Debian never
    renamed to.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 23:12:10 -0700

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Laurent Bigonville <bigon@debian.org>
-Standards-Version: 3.9.6
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Standards-Version: 3.9.8
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),
                dh-autoreconf,
                libglib2.0-dev (>= 2.40.0),
                libpango1.0-dev (>= 1.22.0),
-               libgtk-3-dev (>= 3.8.0),
-               libgnutls-dev (>= 3.2.7),
+               libgtk-3-dev (>= 3.20),
+               libgnutls28-dev (>= 3.2.7),
                libxml2-utils,
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.12),
@@ -83,9 +83,9 @@
          gir1.2-vte-2.91 (= ${binary:Version}),
          libglib2.0-dev (>= 2.40.0),
          libpango1.0-dev (>= 1.22.0),
-         libgtk-3-dev (>= 3.8.0),
+         libgtk-3-dev (>= 3.12.0),
          zlib1g-dev,
-         libgnutls-dev (>= 3.2.7),
+         libgnutls28-dev (>= 3.2.7),
          libvte-2.91-common
 Recommends: libvte-2.91-doc
 Conflicts: libvte-2.90-dev

## vte2.91 0.46.1

=== debian/changelog ===
vte2.91 (0.46.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 08 Nov 2016 01:16:36 +0100

vte2.91 (0.46.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 10:48:53 +0200

vte2.91 (0.45.92-1) unstable; urgency=medium

  * New upstream development release.
  * Refresh patches.

 -- Michael Biebl <biebl@debian.org>  Wed, 14 Sep 2016 17:24:53 +0200

vte2.91 (0.45.90-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 15:22:33 +0200

vte2.91 (0.45.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/libvte-2.91-0.symbols with many new additions.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Aug 2016 16:57:17 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
@@ -15,6 +14,7 @@
                dh-autoreconf,
                libglib2.0-dev (>= 2.40.0),
                libpango1.0-dev (>= 1.22.0),
+               libpcre2-dev (>= 10.21),
                libgtk-3-dev (>= 3.20),
                libgnutls28-dev (>= 3.2.7),
                libxml2-utils,
@@ -84,6 +84,7 @@
          libglib2.0-dev (>= 2.40.0),
          libpango1.0-dev (>= 1.22.0),
          libgtk-3-dev (>= 3.12.0),
+         libpcre2-dev (>= 10.21),
          zlib1g-dev,
          libgnutls28-dev (>= 3.2.7),
          libvte-2.91-common

## vte2.91 0.46.1%2Blmde1

=== debian/changelog ===
vte2.91 (0.46.1+lmde1) cindy; urgency=medium

  * Import Ubuntu patch 0001-Add-the-style-context-provider-with-FALLBACK-priorit.patch

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Feb 2018 12:28:11 +0000

=== debian/rules ===
--- 
+++ 
@@ -14,19 +14,27 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+DEB_DH_AUTORECONF_ARGS = --as-needed
+
+# Ensure at build time that the library has no dependencies on undefined
+# symbols, and speed up loading.
+DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+include /usr/share/dpkg/default.mk
+
 DEB_CONFIGURE_LIBEXECDIR := \$${prefix}/lib/$(libvte2.91N)
-DEB_FIXPERMS_EXCLUDE += gnome-pty-helper
 DEB_DH_MAKESHLIBS_ARGS_$(libvte2.91N) += --add-udeb=$(udeb) -- -c4
 
 DEB_CONFIGURE_FLAGS_main += \
-	--enable-gnome-pty-helper \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-glade-catalogue \
 	--enable-gtk-doc \
 	--enable-introspection \
 	--with-gnutls
 
+# FIXME: not honoured
+#DEB_CONFIGURE_EXTRA_FLAGS_main += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+
 DEB_CONFIGURE_FLAGS_udeb += \
-	--disable-gnome-pty-helper \
 	--disable-gtk-doc \
 	--without-gnutls

## vte2.91 0.48.4

=== debian/changelog ===
vte2.91 (0.48.4-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 03 Oct 2017 10:43:17 -0400

vte2.91 (0.48.3-0ubuntu1) artful; urgency=medium

  * New upstream release
  * debian/control.in: Add version depends on valac 0.31.1

 -- Tim Lunn <tim@feathertop.org>  Sat, 20 May 2017 22:37:48 +1000

vte2.91 (0.48.2-0ubuntu2) artful; urgency=medium

  * Don't depend or build-depend on libpcre2-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 May 2017 14:28:14 -0400

vte2.91 (0.48.2-0ubuntu1) artful; urgency=medium

  * Merge with Debian (LP: #1666264). Remaining changes:
    - 0001-Add-the-style-context-proovider-with-FALLBACK-priorit.patch:
      + Keep as it is required for the Ubuntu theming
    - 91_keep_fds.patch:
      + Keep file descriptors open on vte_fork_pty()
  * New upstream release
  * debian/libvte-2.91-0.symbols: Add new symbols
  * debian/control.in:
    - Build-depend on gperf
  * debian/rules:
    - Use --without-pcre2
  * Add revert-pcre2.patch:
    - Revert changes that require PCRE2 since it's not in main
      (see MIR #163666)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 May 2017 12:36:27 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Source: vte2.91
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>
 Standards-Version: 3.9.8
 Build-Depends: cdbs (>= 0.4.93~),
                debhelper (>= 9),
                gnome-pkg-tools (>= 0.10),
+               gperf,
                dh-autoreconf,
                libglib2.0-dev (>= 2.40.0),
                libpango1.0-dev (>= 1.22.0),
-               libpcre2-dev (>= 10.21),
+#               libpcre2-dev (>= 10.21),
                libgtk-3-dev (>= 3.20),
                libgnutls28-dev (>= 3.2.7),
                libxml2-utils,
@@ -24,7 +26,7 @@
                gtk-doc-tools,
                libgladeui-dev,
                intltool (>= 0.35),
-               valac
+               valac (>= 0.31.1),
 Build-Depends-Indep: libglib2.0-doc, libgtk-3-doc, libatk1.0-doc
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/vte2.91
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/vte2.91
@@ -84,7 +86,7 @@
          libglib2.0-dev (>= 2.40.0),
          libpango1.0-dev (>= 1.22.0),
          libgtk-3-dev (>= 3.12.0),
-         libpcre2-dev (>= 10.21),
+#         libpcre2-dev (>= 10.21),
          zlib1g-dev,
          libgnutls28-dev (>= 3.2.7),
          libvte-2.91-common

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	--enable-glade-catalogue \
 	--enable-gtk-doc \
 	--enable-introspection \
+	--without-pcre2 \
 	--with-gnutls
 
 # FIXME: not honoured
@@ -36,6 +37,7 @@
 
 DEB_CONFIGURE_FLAGS_udeb += \
 	--disable-gtk-doc \
+	--without-pcre2 \
 	--without-gnutls
 
 DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp
